Name:           zoom
Summary:        Z-Machine: it plays text adventure games written in ZCode
Version:        1.1.5
Release:        %mkrel 8
License:        GPLv2+ 
Group:          Games/Adventure
URL:            http://www.logicalshift.co.uk/unix/zoom/ 
Source0:        http://www.logicalshift.co.uk/unix/zoom/%{name}-%{version}.tar.gz
Patch0:         zoom-1.1.3-enable-antialiasing.patch
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  libxrender-devel
BuildRequires:  libpng-devel
BuildRequires:  t1lib-devel

%description
Zoom is an interpreter for playing all of Infocom's text adventures and
newer games using the same format (Z-CODE), like the ones produced using
the Inform compiler.

It has a fast interpreter core behind an X11 interface.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
%make_install bindir=%{_gamesbindir} datadir=%{_gamesdatadir}
mkdir %{buildroot}%{_gamesdatadir}/%{name}/games

%files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO manual
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/%{name}rc
%dir %{_gamesdatadir}/%{name}/games


%changelog
* Sun Jan 17 2016 daviddavid <daviddavid> 1.1.5-8.mga6
+ Revision: 925145
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.1.5-7.mga5
+ Revision: 747752
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.5-6.mga5
+ Revision: 690888
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.5-5.mga4
+ Revision: 526407
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.1.5-4.mga4
+ Revision: 436908
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 387774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Sun Jan 06 2013 stormi <stormi> 1.1.5-2.mga3
+ Revision: 339900
- rebuild for mga3

* Sun Mar 04 2012 stormi <stormi> 1.1.5-1.mga2
+ Revision: 218255
- update to 1.1.5

* Thu Sep 29 2011 fwang <fwang> 1.1.4-2.mga2
+ Revision: 150221
- tighten br

* Sat Jan 08 2011 stormi <stormi> 1.1.4-1.mga2
+ Revision: 886
- imported package zoom


* Tue Jun 02 2009 Samuel Verschelde <stormi@mandriva.org> 1.1.4-1mdv2010.0
+ Revision: 382278
- update to new version 1.1.4

* Fri May 22 2009 Samuel Verschelde <stormi@mandriva.org> 1.1.3-1mdv2010.0
+ Revision: 378684
- fix buildrequires
- import zoom


